import DefaultCallback from "../Decorator/DefaultCallback";

@DefaultCallback
export default class MItem extends eui.ItemRenderer {
    async onLoad() {
        
        await this.preLoad();
        
        this.onSkinComplete();
    }
    /**@virtual */
    protected async preLoad(): Promise<any> { }

    /**@virtual */
    protected onSkinComplete() { }
}